%These are the bounds for Pairwise Choices
% lower and upper bounds and starting values

if k==1     % RR EU
    if sn==17 || sn==23 || sn==24 || sn==25 || sn==30 || sn==34 || sn==41 || sn==44 || sn==54 || sn==55 || sn==64....
             || sn==70 || sn==76 || sn==81 || sn==86 || sn==87 || sn==93
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(4)=0.01;     ub(4)=10.0;  st(4)=0.2;
    elseif sn==22
        lb(1)=-5.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(4)=0.0005;     ub(4)=0.002;  st(4)=0.001;
    elseif sn==52
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(4)=350;     ub(4)=500.0;  st(4)=350.2;
    elseif sn==53
        lb(1)=-5.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==62
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(4)=100;     ub(4)=500.0;  st(4)=100.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR EU
                
if k==2     % RR RD
    if sn==4 || sn==5 || sn==13 || sn==17 || sn==18 || sn==23 || sn==30 || sn==32 || sn==41 || sn==44 || sn==56....
             || sn==70 || sn==74 || sn==87 || sn==93
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;              
        lb(4)=0.01;     ub(4)=6.0;  st(4)=0.2;          
    elseif sn==6 || sn==14 || sn==25 || sn==31 || sn==35 || sn==47 || sn==48....
            || sn==54 || sn==69 || sn==75 || sn==76 || sn==83 || sn==86 || sn==89 || sn==91
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=0.3;      ub(3)=5.0;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=10.0;  st(4)=0.2;
    elseif sn==8 || sn==9 || sn==11 || sn==15 || sn==27 || sn==36 || sn==37 || sn==50 || sn==51 || sn==81
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=10.0;  st(4)=0.2;
    elseif sn==24
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=30.0;  st(4)=0.2; 
    elseif sn==34
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=1.7;      ub(3)=5.0;  st(3)=1.0;
        lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
    elseif sn==52
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=0.3;      ub(3)=5.0;  st(3)=1.0;
        lb(4)=500.0;     ub(4)=1500.0;  st(4)=500.2;
    elseif sn==55
        lb(1)=-2.0;     ub(1)=5.0;  st(1)=0.5; 
        lb(3)=2.0;      ub(3)=4.0;  st(3)=2.5;
        lb(4)=0.01;     ub(4)=2.5;  st(4)=0.2;
    elseif sn==62
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;              
        lb(4)=0.01;     ub(4)=300.0;  st(4)=0.2;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of RR RD
                
if k==3     % AR EU
    if sn==50
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(4)=0.001;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==62 
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(4)=0.01;     ub(4)=500.0;  st(4)=0.2;
    elseif sn==81
        lb(2)=-1.0;     ub(2)=3.0;  st(2)=0.01;               
        lb(4)=2790.0;     ub(4)=2792.0;  st(4)=2790.2;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR EU
                
if k==4    %AR RD
    if sn==6 || sn==19 || sn==31 || sn==35 || sn==45 || sn==47 || sn==73 || sn==75....
            || sn==80 || sn==84 || sn==91 || sn==92
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;              
        lb(3)=0.6;      ub(3)=5.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==8 || sn==9 || sn==11 || sn==15 || sn==22 || sn==27 || sn==37 || sn==50 || sn==51
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;              
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR RD