%These are the bounds for PL
% lower and upper bounds and starting values

if k==1     % RR EU
    if sn==20 || sn==33
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;
        lb(4)=0.00001;     ub(4)=0.001;  st(4)=0.0005;
    elseif sn==34
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;
        lb(4)=0.0005;     ub(4)=0.002;  st(4)=0.001;
    elseif sn==40 || sn==60
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;  
        lb(4)=1.5;     ub(4)=10.0;  st(4)=1.7;
    else
        lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end              
end  % of RR EU
               
if k==2     % RR RD
if sn==2 || sn==4 || sn==16 || sn==18 || sn==21 || sn==35 || sn==51 || sn==59 || sn==62 || sn==65 || sn==67 || sn==70 || sn==85 || sn==87 || sn==89 || sn==95 || sn==96
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
    lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;                
    lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
elseif sn==3 || sn==9 || sn==24 || sn==30 || sn==44 || sn==48
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
    lb(3)=0.6;      ub(3)=5.0;  st(3)=1.0;                
    lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
elseif sn==32 || sn==40 || sn==83 || sn==86 || sn==91
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 
    lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
    lb(4)=0.01;     ub(4)=10.0;  st(4)=0.2;     
elseif sn==33
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 
    lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
    lb(4)=0.00001;     ub(4)=0.0002;  st(4)=0.00002;
elseif sn==34
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 
    lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
    lb(4)=0.001;     ub(4)=0.002;  st(4)=0.00105;
elseif sn==36
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
    lb(3)=3.0;      ub(3)=5.0;  st(3)=3.1;                
    lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
elseif sn==37
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;               
    lb(3)=3.0;      ub(3)=10.0;  st(3)=3.1;                
    lb(4)=0.01;     ub(4)=5.0;  st(4)=0.2;
elseif sn==60
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 
    lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
    lb(4)=140.0;     ub(4)=170.0;  st(4)=140.2;
else
    lb(1)=-1.0;     ub(1)=5.0;  st(1)=0.5;                 % r in RR starts with risk-averse
    lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
    lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
end
end % of RR RD
               
if k==3     % AR EU
    if sn==20
        lb(2)=-1.0;     ub(2)=150.0;  st(2)=0.01;                          
        lb(4)=0.005;     ub(4)=0.01;  st(4)=0.0055;
    elseif sn==33
        lb(2)=-1.0;     ub(2)=30.0;  st(2)=0.01;                            
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==34
        lb(2)=-1.0;     ub(2)=150.0;  st(2)=0.01;                            
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==53 || sn==78
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                             
        lb(4)=0.004;     ub(4)=0.01;  st(4)=0.0055;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR EU
                
if k==4    %  AR RD
    if sn==2 || sn==4 || sn==6 || sn==14 || sn==18 || sn==21 || sn==35 || sn==51 || sn==56 || sn==58 || sn==62 || sn==65 || sn==68 || sn==72 || sn==82 || sn==89 || sn==94 || sn==95 || sn==96
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;            
        lb(3)=0.3;      ub(3)=1.7;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==3 || sn==9 || sn==22 || sn==24 || sn==30 || sn==36 || sn==37 || sn==44 || sn==48 || sn==59
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;            
        lb(3)=0.6;      ub(3)=10.0;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==33 || sn==34
        lb(2)=-1.0;     ub(2)=100.0;  st(2)=0.01;            
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;
    elseif sn==53 || sn==78
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;               
        lb(4)=0.001;     ub(4)=1.0;  st(4)=0.2;
    elseif sn==60
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;               
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;               
        lb(4)=34.5;     ub(4)=36.0;  st(4)=34.6;
    else
        lb(2)=-1.0;     ub(2)=2.0;  st(2)=0.01;                % r in AR starts with risk-averse
        lb(3)=0.6;      ub(3)=1.7;  st(3)=1.0;                 % g in RD starts at EU
        lb(4)=0.01;     ub(4)=2.0;  st(4)=0.2;                 % s in normal
    end
end % of AR RD
