% This is to calculate the optimal ARRD allocations
function xo=OptARRD(r,g,p,e1,e2,m)
rdeus=-1000*ones(1,3);
xos=zeros(3,1);

% where e1*x1>e2*x2
q=wf(p,g);
xos(1)=OptAREU(r,q,e1,e2,m);
if xos(1)*e1<(m-xos(1))*e2
    rdeus(1)=q*cara(e1*xos(1),r)+(1-q)*cara(e2*(m-xos(1)),r); 
end

% where e2*x2>e1*x1
q=1-wf((1-p),g);
xos(2)=OptAREU(r,q,e1,e2,m);
if xos(2)*e1>(m-xos(2))*e2
    rdeus(2)=q*cara(e1*xos(2),r)+(1-q)*cara(e2*(m-xos(2)),r);
end

% where e1*x1=e2*x2
q=p;
xos(3)=OptAREU(r,q,e1,e2,m);
if xos(3)*e1==(m-xos(3))*e2
   rdeus(3)=cara(e1*xos(3),r);
end
[rdeubest,bestcol]=max(rdeus);
xo=xos(bestcol,:);
end
