function crra = crra(x,r)
%function crra = uRR(x,r)

% This is the CRRA utility function
% This is it defined over 0 to 1
if ((r<1) || (r>1))
    crra = (x^(1-r))/(1-r);
end
if r==1
    crra = log(x);
end
end

